//  main: main.less, out: ../style.css

// ====================================================================================================================================
// COMPONENTS
// ====================================================================================================================================

// HOME – HERO
.c-hero__home {
    position: relative;
    height: 100vh;
    width: 100%;
    .u-flex-display;
    .u-align-items(center);
    .u-justify-content(space-around);
}

.c-herohome__logo {
    position: fixed;
    width: 346px;
    opacity: 1;
    .animation__fadein(3.5s, 3s);

    img {
        .transition-std(@duration: .8s);
    }

    @media @media_smartphone {
        position: absolute;
        width: 220px;
    }
}

.c-herohome__title {
    display: block;
    font-size: @size__xxl;
    font-weight: @font_w__b;
    text-align: center;
    line-height: 1em;
    margin-top: @margin__s/2;
    .animation__fadein(2.5s, 3.5s);
    span {
        .transition-std(@duration: .7s);
    }
    @media @media_smartphone {
        font-size: @size__l;
    }
}

body.isScrolled {
    .c-herohome__logo img,
    .c-herohome__title span {
        opacity: 0;
    }
}

.c-hero__draw {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 70%;
    z-index: -1;
    .u-transform(translate(-50%, -50%));
    .animation__fadeinDraw;

    svg {
        position: relative;
        width: 100%;
        &:after {
            position: absolute;
            content: '';
            display: block;
            top: 0;
            left: 0;
            right: 0;
            height: 120px;
            .u-linear-gradient(0deg, fade(@color__light, 0%), @color__light);
        }
        .st0, .st1, .st2, .st3, .st4, .st5 {
            fill: none;
            stroke-linecap: round;
            stroke-linejoin: round;
            stroke-miterlimit: 10;
            stroke: #7A7675;
        }
        .st0 {
            stroke-width: 3;
        }

        .st1 {
            stroke-width: 6;
        }

        .st2 {
            stroke-width: 5;
        }

        .st3 {
            stroke-width: 2;
        }

        .st4 {
            stroke-width: 4;
        }

        .st5 {
            stroke-width: 7;
        }
    }
    path {
        stroke-dasharray: 1000;
        stroke-dashoffset: 1000;
        animation: dash 12s ease-in-out forwards;
        animation-delay: 1s;
      }

      @keyframes dash {
        to {
          stroke-dashoffset: 0;
        }
      }
      @media @media_tablet {
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        bottom: 0;
        overflow: hidden;
        .u-transform(translate(0%, 0%));
        svg {
            width: 150%;
            position: absolute;
            top: 50%;
            left: 50%;
            .u-transform(translate(-50%, -50%));
        }
    }
      @media @media_smartphone {
          width: 100%;
          height: 100%;
          top: 0;
          left: 0;
          bottom: 0;
          overflow: hidden;
          .u-transform(translate(0%, 0%));
          svg {
              width: 200%;
              position: absolute;
              top: 50%;
              left: 50%;
              .u-transform(translate(-50%, -50%));

              .st0 {
                stroke-width: 4;
            }
    
            .st1 {
                stroke-width: 8;
            }
    
            .st2 {
                stroke-width: 7;
            }
    
            .st3 {
                stroke-width: 4;
            }
    
            .st4 {
                stroke-width: 6;
            }
    
            .st5 {
                stroke-width: 9;
            }
          }
      }
}

.c-hero__place,
.c-hero__scroll {
    position: fixed;
    bottom: @margin__m;
    font-size: 9px;
    letter-spacing: .2px;
    opacity: 1;
    z-index: 199;
    .transition-elastic--long;
    @media @media_smartphone {
        bottom: @margin__s;
    }
}

body.isScrolled {
    .c-hero__scroll {
        opacity: 0;
    }
    @media @media_smartphone, @media_tablet {
        .c-hero__place {
            opacity: 0;
        }
    }
}

.c-hero__place {
    writing-mode: vertical-lr;
    left: @margin__m;
    @media @media_smartphone {
        left: @margin__s;
    }
}

.c-hero__scroll {
    right: @margin__m;
    @media @media_smartphone {
        right: @margin__s;
    }
}

// HOME – BODY
.home {
    background-image: url('./images/logo_outline_gray.svg');
    background-repeat: no-repeat;
    background-size: auto;
    background-position: left center;
    @media @media_smartphone {
       background-image: none;
    }
}
.c-body__home {
    margin: @margin__l auto 100px;
    max-width: 1400px;
    @media @media_tablet {
        margin: @margin__m auto 100px;
    }
    @media @media_smartphone {
        margin: @margin__s auto @margin__m;
    }
}

.c-blockHome {
    .u-flex-display;
    @media @media_tablet {
        .u-flex-wrap(wrap);
        margin-bottom: @margin__l!important;
    }
    @media @media_smartphone {
        .u-flex-wrap(wrap);
        margin-bottom: @margin__m!important;
    }
}

.c-blockHome__image {
    position: relative;
    width: 60%;
    overflow: hidden;
    @media @media_tablet {
        width: 80%;
    }
    @media @media_smartphone {
        width: 100%;
    }
}

.c-blockHome__content {
    width: 30%;

    .c-blockHome__title {
        margin-top: 0;
    }

    @media @media_tablet, @media_smartphone {
        width: 100%;
        margin: @margin__s 0;
    }
}

.c-blockHome__first {
    .c-blockHome__image {
        margin-top: @margin__xl;
        @media @media_tablet, @media_smartphone {
            margin-top: 0;
        }
    }

}

.c-blockHome__first,
.c-blockHome__third {
    .u-justify-content(flex-start);

    .c-blockHome__image {
        height: 500px;
        max-width: 760px;
    }

    .c-blockHome__content {
        padding-left: @margin__xl;
    }

    @media @media_landascape {
        .c-blockHome__content {
            padding-left: @margin__m;
        }
    }

    @media @media_tablet, @media_smartphone {
        .c-blockHome__image {
            max-width: initial;
        }
        
        .c-blockHome__content {
            padding-left: 0;
        }
    }
    
    @media @media_tablet {
        .c-blockHome__image {
            height: 360px;
        }
    }

    @media @media_smartphone {
        .c-blockHome__image {
            height: 200px;
        }
    }
}

.c-blockHome__second {
    .u-justify-content(flex-end);
    .u-align-items(flex-end);
    margin-bottom: @margin__l*2;

    .c-blockHome__image {
        height: 560px;
        max-width: 560px;
        .u-transform(translateY(-80px));
    }

    .c-blockHome__content {
        padding-right: @margin__xl;
        text-align: right;
    }


    @media @media_landascape {
        .c-blockHome__content {
            padding-right: @margin__m;
        }
    }

    @media @media_tablet, @media_smartphone {
        .u-flex-direction(column-reverse);

        .c-blockHome__image {
            max-width: initial;
            .u-transform(translateY(0));
        }
        .c-blockHome__content {
            padding-right: 0;
        }
    }

    @media @media_tablet {
        .c-blockHome__image {
            height: 360px;
        }
    }

    @media @media_smartphone {
        .c-blockHome__image {
            height: 200px;
        }
        .c-blockHome__content {
            text-align: left;
        }
    }
}